Bug 728563 - regression: comment after package names no longer works
regression: comment after package names no longer works
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-05 11:31 EDT by Mads Kiilerich
Modified: 2011-08-30 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: pykickstart-1.99.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-30 22:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2011-08-05 11:31:35 EDT
I see the following issue when using livecdcreator, but I assume it applies to pykickstart:

It used to work with comments after package names in %packages sections, such as

kernel # remember the kernel

It worked with 
pykickstart-1.77-2.fc14.noarch
python-imgcreate-14.2-1.fc14.i686
livecd-tools-14.2-1.fc14.i686

It doesn't work with
pykickstart-1.99.2-1.fc16.noarch
python-imgcreate-16.3-1.fc16.x86_64
livecd-tools-16.3-1.fc16.x86_64

Error creating Live CD : Failed to find package 'kernel # remember the kernel' : No package(s) available to install
Comment 1 Chris Lumens 2011-08-05 12:04:22 EDT
Pushed a fix and a test case to make sure it doesn't come back up.  Thanks for the catch.
Comment 2 Fedora Update System 2011-08-23 10:57:59 EDT
pykickstart-1.99.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pykickstart-1.99.3-1.fc16
Comment 3 Fedora Update System 2011-08-23 16:35:06 EDT
Package pykickstart-1.99.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/pykickstart-1.99.3-1.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-08-30 22:30:37 EDT
pykickstart-1.99.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.